Page MenuHomePhabricator

Update CirrusSearch documentation
Closed, ResolvedPublic

Description

mw:Help:CirrusSearch is out-of-date. It is the help page for WMF-wikis as they all use CirrusSearch. Information should be updated to reflect the current state. Help with translations should also be politely asked.

https://www.mediawiki.org/wiki/Help:CirrusSearch

Ideally, it would be great if the documentation at mw:Help:CirrusSearch could be linked from all wiki's instead of each hosting their own copy that can quickly diverge from what is being documented on MediaWiki.org. However, I can't rightly ask folks to consider that until this documentation is accurate.

Related: T139528

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2016, 9:36 PM
CKoerner_WMF triaged this task as Normal priority.Jul 22 2016, 9:36 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJul 23 2016, 11:00 AM
debt moved this task from needs triage to Up Next on the Discovery-Search board.Aug 4 2016, 5:18 PM
debt added a subscriber: debt.

This will be (most likely) worked with T141003

CKoerner_WMF added a comment.EditedAug 4 2016, 5:21 PM

I reached out to one of the more prolific maintainers of this page (Cpiral) via email to ask for their feedback on 27 July. I wanted to give them some time to reply. If they're busy I will go ahead and start a discussion on the talk page and start making updates.

Chris, it would be useful if you copied https://www.mediawiki.org/wiki/Help:CirrusSearch into https://www.mediawiki.org/wiki/User:Cpiral/CirrusSearch and then merged/recovered the content while disrupting translation units as little as possible, so that the resulting combined version can be copied into the actual help page and marked for translation.

@Nemo_bis I just sat down this morning to work on this a little more. Cpiral hasn't responded so I was going to post my ideas/questions to the talk page for more involvement. Mind if we go that way and have a discussion on-wiki rather than here?

@Nemo_bis I shared my thoughts on how to improve the documentation. Would enjoy your feedback. https://www.mediawiki.org/wiki/Topic:T99x72y8wk4w36dx

I only care about translations not being disrupted, please pay attention to that part. Let me know if you're unsure about translate tags.

I've taken Nemo's considerations and merged Cpiral's contributions into the main page. I also added new information (like question mark handling and language detection) that was new. Translations of existing content were moved over from the old page.

Next up is to check translation tags and if things go well ask for translations.

debt moved this task from Up Next to Current work on the Discovery-Search board.Aug 30 2016, 10:08 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.

I've (finally) finished marking up the page for translation. I broke up the translate tags for the tables and added <tvar> tags around the <kbd> references to symbols. I'll ask a translation admin to review and our gracious translator community to translate next.

There is still some pieces of <code> that would better ve embedded into a <tvar>, like on Translation unit #191:

<tvar|txt2n><kbd>txt2number</kbd></> will match <code>txt 2 number</code> or <code>txt-2.number</code>.

which should be IMHO:

<tvar|txt2n><kbd>txt2number</kbd></> will match <tvar|txt2n1><code>txt 2 number</code></> or <tvar|txt2n2><code>txt-2.number</code></>.

If people don't have access to txt2n, they may not understand why they have access to the second one.

Thank you @Trizek-WMF for catching those.

This brings up a good point. Most of these <code> examples are demonstrations of search functions with English words in the examples. Should I wrap them all in <tvar> tags, keeping the english phrases across translations or leave them all to be translated into the local language?

If you allow people to translate these examples, translators will have to follow strict rules to have an functional examples. You can define these rules by writing the qqq documentation messages (click on translate and type qqq in the language search).

CKoerner_WMF closed this task as Resolved.Oct 14 2016, 7:49 PM
CKoerner_WMF added subscribers: Cpiral, Quiddity.

The page has been updated and marked for translation. A request to help with translations has been sent to translators.

Thank you to @Trizek-WMF and @Quiddity for your help. A special thanks to @Cpiral for creating a great update that we can all benefit from.